GroovyDynamicMethodsInterceptor (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class GroovyDynamicMethodsInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethods
          org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodsInterceptor
              org.codehaus.groovy.grails.commons.metaclass.GroovyDynamicMethodsInterceptor

    public class GroovyDynamicMethodsInterceptor
    extends AbstractDynamicMethodsInterceptor

For dynamic methods applied to a Groovy object that registers itself with the GroovyObject instances meta class instance.

Authors:
  Graeme Rocher

Field Summary

Fields inherited from class AbstractDynamicMethods
clazz, dynamicConstructors, dynamicMethodInvocations, dynamicProperties, staticMethodInvocations

Constructor Summary
`GroovyDynamicMethodsInterceptor(groovy.lang.GroovyObject go)`

Method Summary

Methods inherited from class AbstractDynamicMethodsInterceptor
afterConstructor, afterInvoke, beforeConstructor, beforeGet, beforeInvoke, beforeSet

Methods inherited from class AbstractDynamicMethods
addDynamicConstructor, addDynamicMethodInvocation, addDynamicProperty, addStaticMethodInvocation, getDynamicMethod, getDynamicProperty, getProperty, invokeConstructor, invokeMethod, invokeStaticMethod, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyDynamicMethodsInterceptor

    public GroovyDynamicMethodsInterceptor(groovy.lang.GroovyObject go)

Groovy Documentation